"use strict";
/*******************************************************************************
 * Copyright (c) 2018, 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
// non-nls-file
// all of these MUST MATCH package.nls.json command IDs
var Commands;
(function (Commands) {
    Commands["NEW_CONNECTION"] = "ext.cw.newConnection";
    Commands["REMOVE_CONNECTION"] = "ext.cw.removeConnection";
    Commands["ENABLE_CONNECTION"] = "ext.cw.enableConnection";
    Commands["DISABLE_CONNECTION"] = "ext.cw.disableConnection";
    Commands["SEPARATOR"] = "ext.cw.separator";
    Commands["REFRESH_CONNECTION"] = "ext.cw.refreshConnection";
    Commands["START_LOCAL_CODEWIND"] = "ext.cw.startCodewind";
    Commands["STOP_LOCAL_CODEWIND"] = "ext.cw.stopCodewind";
    Commands["REMOVE_LOCAL_IMAGES"] = "ext.cw.removeImages";
    Commands["CREATE_PROJECT"] = "ext.cw.createProject";
    Commands["BIND_PROJECT"] = "ext.cw.bindProject";
    Commands["CONNECTION_OVERVIEW"] = "ext.cw.connectionOverview";
    Commands["OPEN_TEKTON"] = "ext.cw.openTekton";
    Commands["MANAGE_TEMPLATE_SOURCES"] = "ext.cw.manageSources";
    Commands["MANAGE_REGISTRIES"] = "ext.cw.manageRegistries";
    Commands["OPEN_WS_FOLDER"] = "ext.cw.openWorkspaceFolder";
    Commands["ADD_PROJECT_TO_WS"] = "ext.cw.addProjectToWorkspace";
    Commands["ATTACH_DEBUGGER"] = "ext.cw.attachDebugger";
    Commands["RESTART_RUN"] = "ext.cw.restartProjectRun";
    Commands["RESTART_DEBUG"] = "ext.cw.restartProjectDebug";
    Commands["OPEN_APP"] = "ext.cw.openInBrowser";
    Commands["REQUEST_BUILD"] = "ext.cw.requestBuild";
    Commands["TOGGLE_AUTOBUILD"] = "ext.cw.toggleAutoBuild";
    Commands["ENABLE_AUTOBUILD"] = "ext.cw.enableAutoBuild";
    Commands["DISABLE_AUTOBUILD"] = "ext.cw.disableAutoBuild";
    Commands["CONTAINER_SHELL"] = "ext.cw.containerShell";
    Commands["PROJECT_OVERVIEW"] = "ext.cw.projectOverview";
    Commands["OPEN_APP_MONITOR"] = "ext.cw.openAppMonitor";
    Commands["OPEN_PERF_DASHBOARD"] = "ext.cw.openPerfDashboard";
    Commands["TOGGLE_INJECT_METRICS"] = "ext.cw.toggleInjectMetrics";
    Commands["ENABLE_INJECT_METRICS"] = "ext.cw.enableInjectMetrics";
    Commands["DISABLE_INJECT_METRICS"] = "ext.cw.disableInjectMetrics";
    Commands["MANAGE_LOGS"] = "ext.cw.manageLogs";
    Commands["SHOW_ALL_LOGS"] = "ext.cw.showAllLogs";
    Commands["HIDE_ALL_LOGS"] = "ext.cw.hideAllLogs";
    Commands["DISABLE_PROJECT"] = "ext.cw.disable";
    Commands["ENABLE_PROJECT"] = "ext.cw.enable";
    Commands["REMOVE_PROJECT"] = "ext.cw.removeProject";
    Commands["CHANGE_PROJECT_CONNECTION"] = "ext.cw.changeProjectConnection";
    Commands["VALIDATE"] = "ext.cw.validate";
    // VSCode commands, kept here for easy reference. These will never change.
    Commands["VSC_OPEN"] = "vscode.open";
    Commands["VSC_OPEN_FOLDER"] = "vscode.openFolder";
    Commands["VSC_REVEAL_IN_OS"] = "revealFileInOS";
    Commands["VSC_REVEAL_EXPLORER"] = "revealInExplorer";
    Commands["VSC_FOCUS_PROBLEMS"] = "workbench.action.problems.focus";
})(Commands || (Commands = {}));
exports.default = Commands;
//# sourceMappingURL=Commands.js.map