"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
var CWDocs;
(function (CWDocs) {
    function getDocLink(docPath) {
        return vscode_1.Uri.parse(`https://www.eclipse.org/codewind/${docPath}`);
    }
    CWDocs.getDocLink = getDocLink;
})(CWDocs = exports.CWDocs || (exports.CWDocs = {}));
(function (CWDocs) {
    CWDocs["TEMPLATE_MANAGEMENT"] = "mdt-vsc-workingwithtemplates.html";
    CWDocs["INSTALL_INFO"] = "mdt-vsc-installinfo.html";
    CWDocs["PROJECT_SETTINGS"] = "mdt-vsc-commands-project.html#configuring-project-settings";
    CWDocs["INSTALL_ON_CLOUD"] = "installoncloud.html";
    CWDocs["WORKSPACE_NEWS"] = "news06.html#codewind-workspace-updates";
    CWDocs["REGISTRIES"] = "image-registry-credentials.html";
    CWDocs["REMOTE_SETUP"] = "remoteconfiguring.html";
})(CWDocs = exports.CWDocs || (exports.CWDocs = {}));
exports.default = CWDocs;
//# sourceMappingURL=CWDocs.js.map