"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Miscellaneous constants
 */
var Constants;
(function (Constants) {
    Constants.PROJ_SETTINGS_FILE_NAME = ".cw-settings";
    Constants.DOT_CODEWIND_DIR = ".codewind";
    Constants.CHE_WORKSPACEID_ENVVAR = "CHE_WORKSPACE_ID";
    Constants.CHE_API_EXTERNAL_ENVVAR = "CHE_API_EXTERNAL";
    Constants.CW_ENV_VAR = "CW_ENV";
    Constants.CW_ENV_DEV = "dev";
    Constants.CW_ENV_TEST = "test";
    Constants.CW_ENV_TAG_VAR = "CW_TAG";
})(Constants || (Constants = {}));
exports.default = Constants;
//# sourceMappingURL=Constants.js.map